> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve CRM sync events for an end user



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/end_users/{heron_id}/crm_sync
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_users/{heron_id}/crm_sync:
    get:
      tags:
        - EndUsers
      summary: Retrieve CRM sync events for an end user
      parameters:
        - in: path
          name: heron_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/CrmSyncEventSchema'
                type: array
          description: The list of CRM events that occurred for this end user
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CrmSyncEventSchema:
      properties:
        crm_record_url:
          nullable: true
          type: string
        error_message:
          nullable: true
          type: string
        heron_id:
          type: string
        name:
          type: string
        occurred_at:
          format: date-time
          type: string
        provider:
          nullable: true
          type: string
        result:
          enum:
            - success
            - failure
            - no_sync_attempted
        success_message:
          nullable: true
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````